Get reservation
GET
/merchants/{merchantCode}/reservations/{reservationCode}
const url = 'https://catalog.shopgate.io/v1/merchants/example/reservations/example';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://catalog.shopgate.io/v1/merchants/example/reservations/exampleGet reservation by code
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”merchantCode
required
string
reservationCode
required
string
Responses
Section titled “Responses”Returns reservation
Media typeapplication/json
object
reservation
object
code
required
string
productCode
required
string
locationCode
required
string
sku
null | string
salesOrderLineItemCode
required
string
fulfillmentOrderLineItemId
number
salesOrderNumber
required
string
fulfillmentOrderNumber
string
bin
Bin. (Location in warehouse)
null | string
binLocation
Bin location.
null | string
quantity
required
number
createDate
string format: date-time
Example
{ "reservation": { "bin": "1203", "binLocation": "1203-4", "fulfillmentOrderLineItemId": 1, "fulfillmentOrderNumber": "someCode", "locationCode": "DERetail1", "productCode": "someCode", "quantity": 1, "salesOrderLineItemCode": "someCode", "salesOrderNumber": "someCode", "sku": "SKU-1", "createDate": "2018-12-15T00:00:23.114Z" }}Validation error
Media typeapplication/json
object
statusCode
number
message
string
code
string
additionalInfo
object
validationErrors
Array<object>
object
code
number
reason
string
entity
string
entityId
string
subentityPath
Array<string | number>
error
object
paramName
The parameter-field, that failed to validate, like “userId”
string
paramValue
The value, that was sent, like “xxx”
null | string | number | array | object
code
Machine readable error code
string
message
required
Human readable error code
string
results
object
errors
Array<object>
object
code
Machine readable error code
string
message
Human readable error code
string
description
string
path
Array<string>
warnings
array
Example
{ "error": { "code": "SCHEMA_VALIDATION_FAILED", "results": { "errors": [ { "code": "MAX_LENGTH", "message": "Name too long", "description": "Property Name is too long", "path": [ "name" ] } ] } }}Merchant, location or inventory not found
Media typeapplication/json
object
statusCode
number
code
required
string
message
required
string
Example
{ "code": "NotFound", "message": "Merchant not found"}
